jQuery(document).ready(function($) {
/*FAV POST*/
	
$(document).on("mouseenter mouseleave", ".fav, .unfav", function() {
    $( this ).find('.fa').toggleClass(icon.thin).toggleClass(icon.full);
});
	
$(document).on("mouseenter mouseleave", "#sidebar .unfav", function() {
    $( this ).toggleClass('fa-times-circle-o').toggleClass('fa-times-circle');
});

$( "body" ).on( "click", ".fav", function() {
    $(this).find('.fa').removeClass(icon.thin).removeClass(icon.full).addClass('fa-refresh fa-spin fa-fw');
	var favID = $(this).attr("data-id"); 
	$(document).off("mouseenter", ".fav, .unfav").off("mouseleave", ".fav, .unfav");
	console.log(favID);
	$.ajax({
        url: my_ajax_url.ajaxurl,
        data: {
            'action':'ffp_add',
            'favID' : favID,
        },
        success:function(data) {
            console.log(data);
			var favclassspan = '.fav[data-id='+favID+'] span';
			var favclassfa = '.fav[data-id='+favID+'] .fa';
			var favclass = '.fav[data-id='+favID+']';
			$(favclassfa).addClass(icon.full).removeClass(icon.thin + ' fa-refresh fa-spin fa-fw');
			$(favclassspan).text(fav.remove);
			$(favclass).addClass('unfav').removeClass('fav');
			$(document).on("mouseenter", ".fav, .unfav", function() {
			$( this ).find('.fa').toggleClass(icon.thin).toggleClass(icon.full);
			});

			$(document).on("mouseleave", ".fav, .unfav", function() {
			$( this ).find('.fa').toggleClass(icon.thin).toggleClass(icon.full);
			});
			loadfavwidget();
        },
        error: function(errorThrown){
            console.log(errorThrown);
        }
    });
});
	
$( "body" ).on( "click", ".unfav", function() {
    $(this).find('.fa').removeClass(icon.thin).removeClass(icon.full).addClass('fa-refresh fa-spin fa-fw');
	if ( $( this ).hasClass( "fa" ) ) {
        $( this ).removeClass('fa-times-circle fa-times-circle-o').addClass('fa-refresh fa-spin fa-fw');
    }
	var favID = $(this).attr("data-id"); 
	$(document).off("mouseenter", ".fav, .unfav").off("mouseleave", ".fav, .unfav");
	$(document).off("mouseenter", "#sidebar .unfav").off("mouseleave", "#sidebar .unfav");
	console.log(favID);
	$.ajax({
        url: my_ajax_url.ajaxurl,
        data: {
            'action':'ffp_rem',
            'favID' : favID,
        },
        success:function(data) {
            console.log(data);
			var unfavclassspan = '.unfav[data-id='+favID+'] span';
			var unfavclassfa = '.unfav[data-id='+favID+'] .fa';
			var unfavclass = '.unfav[data-id='+favID+']';
			$(unfavclassfa).addClass(icon.thin).removeClass(icon.full + ' fa-refresh fa-spin fa-fw');
			$(unfavclassspan).text(fav.add);
			$(unfavclass).addClass('fav').removeClass('unfav');
			$(document).on("mouseenter mouseleave", ".fav, .unfav", function() {
				$( this ).find('.fa').toggleClass(icon.thin).toggleClass(icon.full);
			});
			$(document).on("mouseenter mouseleave", "#sidebar .unfav", function() {
				$( this ).toggleClass('fa-times-circle-o').toggleClass('fa-times-circle');
			});
			loadfavwidget();
        },
        error: function(errorThrown){
            console.log(errorThrown);
        }
    });
});
	
function loadfavwidget (){
	$( ".favpost" ).each(function( index ) {
		var widget = this;
		var data_type = $(this).attr("data-type"); 
		var data_hide = $(this).attr("data-hide"); 
		var data_number = $(this).attr("data-number"); 
		console.log(data_type);
		$.ajax({
        url: my_ajax_url.ajaxurl,
        data: {
            'action':'ffp_loadwidget',
			'data_type': data_type,
			'data_hide': data_hide,
			'data_number': data_number
        },
        success:function(data) {
            console.log(data);
			$( widget ).html( data );
        },
        error: function(errorThrown){
            console.log(errorThrown);
        }
    });
	});
}
	
});/*end jquery*/